Skip to main content
GET
/
request
/
info
/
{request_id}
Get request info by ID
curl --request GET \
  --url https://api.example.com/request/info/{request_id} \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "request_type": "CLUSTER_CLAIM",
  "status": "PENDING",
  "created_at": "<string>",
  "object_id": "<string>",
  "external_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

request_id
string
required

Response

Successful Response

Response model for individual request info endpoint.

request_id
string
required

Unique request identifier

request_type
enum<string>
required

Type of operation

Available options:
CLUSTER_CLAIM,
CLUSTER_RELEASE,
CLUSTER_EDIT,
STORAGE_CREATE,
STORAGE_DESTROY,
STORAGE_ATTACH,
STORAGE_DETACH,
STORAGE_EDIT
status
enum<string>
required

Current request status

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
RETRYING
created_at
string
required

Request creation timestamp (ISO format)

object_id
string | null

TensorPool object ID (cluster/storage)

external_message
string | null

User-facing message about request status